$(function()
{

    $('form[name=cadastro]').submit(function(e)
    {
        e.preventDefault();

        // Request
        var data = {
            email: $(this).find('input[type=email]').val()
        };

        var target = base_url + 'newsletter/newsletter/cadastro';

        $.ajax(
        {
            url: target,
            dataType: 'json',
            type: 'POST',
            cache: false,
            data: data,
            success: function(success) {
                
                if(success.result == 1)
                {
                    alert('Ja existe');
                }
                if(success.result == 2)
                {
                    alert('Cadastrado com sucesso');
                    $('form[name=cadastro]')[0].reset();
                }
                if(success.result == 3)
                {
                    alert('erro no banco de dados');
                }
                
            },
            error: function(error)
            {
                
               /* $("body").css("cursor", "auto");
                $('.message').remove()
                lmsg.html('<div class="message login-warning bg-warning"><p>Falha de Comunicação com o Servidor.</p></div>');*/
            }
        });

    })

});